-- LDPE: Transparent Latch with Clock Enable and Asynchronous Preset
--       Versal Prime series
-- Xilinx HDL Language Template, version 2022.1

LDPE_inst : LDPE
generic map (
   INIT => '1',            -- Initial value of latch, '0', '1'
   -- Programmable Inversion Attributes: Specifies the use of the built-in programmable inversion
   IS_G_INVERTED => '0',   -- Optional inversion for G
   IS_PRE_INVERTED => '0'  -- Optional inversion for PRE
)
port map (
   Q => Q,     -- 1-bit output: Data
   D => D,     -- 1-bit input: Data
   G => G,     -- 1-bit input: Gate
   GE => GE,   -- 1-bit input: Gate enable
   PRE => PRE  -- 1-bit input: Asynchronous preset
);

-- End of LDPE_inst instantiation
