// BUFGCE: General Clock Buffer with Clock Enable
//         Versal Prime series
// Xilinx HDL Language Template, version 2022.1

BUFGCE #(
   .CE_TYPE("SYNC"),            // ASYNC, HARDSYNC, SYNC
   .IS_CE_INVERTED(1'b0),       // Programmable inversion on CE
   .IS_I_INVERTED(1'b0),        // Programmable inversion on I
   .SIM_DEVICE("VERSAL_PRIME")  // VERSAL_PRIME, VERSAL_PRIME_ES1
)
BUFGCE_inst (
   .O(O),   // 1-bit output: Buffer
   .CE(CE), // 1-bit input: Buffer enable
   .I(I)    // 1-bit input: Buffer
);

// End of BUFGCE_inst instantiation
