// CARRY8: Fast Carry Logic with Look Ahead
//         Versal Prime series
// Xilinx HDL Language Template, version 2022.1

CARRY8 #(
   .CARRY_TYPE("SINGLE_CY8")  // 8-bit or dual 4-bit carry (DUAL_CY4, SINGLE_CY8)
)
CARRY8_inst (
   .CO(CO),         // 8-bit output: Carry-out
   .O(O),           // 8-bit output: Carry chain XOR data out
   .CI(CI),         // 1-bit input: Lower Carry-In
   .CI_TOP(CI_TOP), // 1-bit input: Upper Carry-In
   .DI(DI),         // 8-bit input: Carry-MUX data in
   .S(S)            // 8-bit input: Carry-mux select
);

// End of CARRY8_inst instantiation
