-- IDELAYE5: Input Delay Element
--           Versal Prime series
-- Xilinx HDL Language Template, version 2022.1

IDELAYE5_inst : IDELAYE5
generic map (
   CASCADE => "FALSE",     -- Cascade setting (FALSE, TRUE)
   IS_CLK_INVERTED => '0', -- Optional inversion for CLK
   IS_RST_INVERTED => '0'  -- Optional inversion for RST
)
port map (
   CASC_OUT => CASC_OUT,       -- 1-bit output: Cascade delay output to ODELAYE5 input cascade
   CNTVALUEOUT => CNTVALUEOUT, -- 5-bit output: Counter value output
   DATAOUT => DATAOUT,         -- 1-bit output: Delayed data output
   CASC_RETURN => CASC_RETURN, -- 1-bit input: Cascade delay returning from ODELAYE5 DATAOUT
   CE => CE,                   -- 1-bit input: Active High enable increment/decrement input
   CLK => CLK,                 -- 1-bit input: Clock Input
   CNTVALUEIN => CNTVALUEIN,   -- 5-bit input: Counter value input
   IDATAIN => IDATAIN,         -- 1-bit input: Data input from the IOBUF
   INC => INC,                 -- 1-bit input: Increment / Decrement tap delay input
   LOAD => LOAD,               -- 1-bit input: Load CNTVALUEIN
   RST => RST                  -- 1-bit input: Asynchronous Reset
);

-- End of IDELAYE5_inst instantiation
