// MBUFG_GT: Multi-Output Clock Buffer Driven by Gigabit Transceiver
//           Versal Prime series
// Xilinx HDL Language Template, version 2022.1

MBUFG_GT #(
   .MODE("PERFORMANCE")  // PERFORMANCE, POWER
)
MBUFG_GT_inst (
   .O1(O1),               // 1-bit output: Buffer
   .O2(O2),               // 1-bit output: Buffer
   .O3(O3),               // 1-bit output: Buffer
   .O4(O4),               // 1-bit output: Buffer
   .CE(CE),               // 1-bit input: Buffer enable
   .CEMASK(CEMASK),       // 1-bit input: CE Mask
   .CLR(CLR),             // 1-bit input: Asynchronous clear
   .CLRB_LEAF(CLRB_LEAF), // 1-bit input: Active low clear
   .CLRMASK(CLRMASK),     // 1-bit input: CLR Mask
   .DIV(DIV),             // 3-bit input: Dynamic divide Value
   .I(I)                  // 1-bit input: Buffer
);

// End of MBUFG_GT_inst instantiation
